package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.apache.commons.lang.BooleanUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EsquemaAsiento;

public class CotasConfiguracionListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object item) throws Exception {
		
		EsquemaAsiento esquemaAsiento = (EsquemaAsiento)item;

		Listcell tipoOcupacalCell =  new Listcell(BooleanUtils.toBoolean(esquemaAsiento.getIndvendible()) ? "Poltrona Exclusiva" : "Poltrona Ocupada");
		tipoOcupacalCell.setParent(listItem);
		
		Listcell origemCell =  esquemaAsiento.getParada() == null ? new Listcell("") : new Listcell(esquemaAsiento.getParada().getDescparada().toString());
		origemCell.setParent(listItem);
		
		Listcell destinoCell =  esquemaAsiento.getDestino() == null ? new Listcell("") : new Listcell(esquemaAsiento.getDestino().getDescparada().toString());
		destinoCell.setParent(listItem);
		
		Listcell asientoCell = esquemaAsiento.getNumasiento() == null ? new Listcell("") : new Listcell(esquemaAsiento.getNumasiento().toString());
		asientoCell.setParent(listItem);
		
		Listcell motivoBloqueoCell =  esquemaAsiento.getMotivobloqueo() == null ? new Listcell("") : new Listcell(esquemaAsiento.getMotivobloqueo().toString());
		motivoBloqueoCell.setParent(listItem);
		
		Listcell tiempoLiberacionCell = esquemaAsiento.getTiempoLiberacion() == null ? new Listcell("") : new Listcell(esquemaAsiento.getTiempoLiberacion().toString());
		tiempoLiberacionCell.setParent(listItem);

		listItem.setAttribute("data", esquemaAsiento);
		
	}

}
